package org.springblade.common.aspect;

import org.springframework.core.Ordered;
import org.springframework.core.annotation.Order;

import java.lang.annotation.*;

/**
 * ip限流
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Documented
@Order(Ordered.HIGHEST_PRECEDENCE)
public @interface IPLimit {
	/**
	 * 允许访问的最大次数
	 */
	int count() default 1000;

	/**
	 * 时间段，单位为毫秒，默认值一分钟
	 */
	long time() default 60000;

}
