package org.springblade.common.constant;

/**
 * Author pangqijun
 * Date 2022/5/14
 * Description
 */
public interface SupplyChainConstant {

	/**
	 * 在线选品
	 */
	String V2_GOODSSTORAGE_NEWLIST = "/v2/GoodsStorage/NewList";

	/**
	 * 选品库商品列表
	 */
	String V2_GOODSSTORAGE_MYLISTS = "/v2/GoodsStorage/MyLists";

	/**
	 * 选品库商品列表
	 */
	String V2_GROUP_GOODS_LIST = "/v2/GoodsGroup/ApiGoodsList";

	/**
	 * 批量获取商品详情
	 */
	String V2_GOODSSTORAGE_ADD = "/v2/GoodsStorage/Add";

	/**
	 * 批量获取商品详情
	 */
	String V2_GOODS_GETBULKGOODDETAIL = "/v2/Goods/GetBulkGoodDetail";

	/**
	 * 获取逐级类目v2
	 */
	String V2_CATEGORY_GETCATEGORY = "/v2/Category/GetCategory";

	/**
	 * 前置校验
	 */
	String V2_ORDER_BEFORE_CHECK = "/v2/order/beforeCheck";

	/**
	 * 可售检测
	 */
	String V2_ORDER_AVAILABLECHECK = "/v2/order/availableCheck";

	/**
	 * 提交下单
	 */
	String V2_ORDER = "/v2/order";

	/**
	 * 选品分组列表
	 */
	String V2_GROUP_LIST = "/v2/GoodsGroup/ApiLists";

	/**
	 * 物流查询
	 */
	String V2_LOGISTIC = "/v2/logistic";

	/**
	 * 售后前置校验
	 */
	String AFTER_SALE_BEFORE_CHECK = "/v2/afterSale/beforeCheck";

	/**
	 * 申请售后
	 */
	String AFTER_SALE = "/v2/afterSale";

	/**
	 * 营销活动标签列表
	 */
	String APIACTIVITYLISTS = "/v2/GoodsGroup/ApiActivityLists";



	/**
	 * 商品库添加回调
	 */
	String CALLBACK_GOODS_STORAGE_ADD = "goods.storage.add";

	/**
	 * 移除商品库商品回调
	 */
	String CALLBACK_GOODS_STORAGE_REMOVE = "goods.storage.remove";

	/**
	 * 商品下架回调
	 */
	String CALLBACK_GOODS_UNDERCARRIAGE = "goods.undercarriage";

	/**
	 * 商品上架回调
	 */
	String CALLBACK_GOODS_ON_SALE = "goods.on.sale";

	/**
	 * 商品修改回调
	 */
	String CALLBACK_GOODS_ALTER = "goods.alter";

	/**
	 * 商品价格变更回调
	 */
	String CALLBACK_GOODS_PRICE_ALTER = "goods.price.alter";

	/**
	 * 交易成功回调
	 */
	String CALLBACK_ORDER_SUCCESS = "order.success";

	/**
	 * 商品已收货回调
	 */
	String CALLBACK_ORDER_DELIVERED = "order.delivered";

	/**
	 * 商家已发货回调
	 */
	String CALLBACK_ORDER_DELIVERY = "order.delivery";

	/**
	 * 订单取消回调
	 */
	String CALLBACK_ORDER_CANCEL = "order.cancel";

	/**
	 * 售后同意回调
	 */
	String CALLBACK_AFTER_SALE_AGREE = "afterSale.agree";

	/**
	 * 售后拒绝回调
	 */
	String CALLBACK_AFTER_SALE_REFUSE = "afterSale.refuse";

	/**
	 * 售后退款到账回调
	 */
	String CALLBACK_AFTER_SALE_SUCCESS = "afterSale.success";
}
