package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class MerchantRegisterRequest {
    @NotBlank(message = "身份证号不能为空")
    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @NotBlank(message = "营业执照不能为空")
    @ApiModelProperty(value = "营业执照")
    private String businessLicence;

    @NotBlank(message = "地址不能为空")
    @ApiModelProperty(value = "地址")
    private String address;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号")
    private String phone;

    @NotBlank(message = "姓名不能为空")
    @ApiModelProperty(value = "姓名")
    private String name;

    @NotBlank(message = "商户名称不能为空")
    @ApiModelProperty(value = "商户名称")
    private String merchantName;

    @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "密码")
    private String password;

    @NotBlank(message = "确认密码不能为空")
    @ApiModelProperty(value = "确认密码")
    private String rePassword;

    @NotBlank(message = "验证码不能为空")
    @ApiModelProperty(value = "验证码")
    private String captchaCode;

    @NotBlank(message = "验证ID不能为空")
    @ApiModelProperty(value = "验证ID, 发送验证码返回的ID")
    private String captchaId;
}
