/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户银行卡信息表实体类
 *
 * @author BladeX
 * @since 2022-02-19
 */
@Data
@ApiModel(value = "用户银行卡保存对象", description = "请求实体类")
public class UserBankCardsSaveRequest implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 银行Id
	 */
	@ApiModelProperty(value = "银行Id")
	private Long bankId;

	/**
	 * 用户Id
	 */
	@ApiModelProperty(value = "用户Id")
	private Long userId;
	/**
	 * 账户姓名
	 */
	@ApiModelProperty(value = "账户姓名")
	private String name;
	/**
	 * 银行开预留手机号
	 */
	@ApiModelProperty(value = "银行开预留手机号")
	private String mobile;
	/**
	 * 身份证
	 */
	@ApiModelProperty(value = "身份证")
	private String cardCode;
	/**
	 * 银行卡号
	 */
	@ApiModelProperty(value = "银行卡号")
	private String backNo;

	/**
	 * 区域编号
	 */
	@ApiModelProperty(value = "银行卡简称")
	private String areaCode;

	/**
	 * 区域名称
	 */
	@ApiModelProperty(value = "银行卡开户行")
	private String areaName;

	@ApiModelProperty(value = "验证码")
	private String vericode;

	@ApiModelProperty(value = "请求号")
	private String requestNo;
}
