package org.springblade.modules.business.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 售货设备表实体类
 *
 * @author zzyd
 * @since 2024-07-16
 */
@Data
@TableName("t_facility")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Facility对象", description = "售货设备表")
public class Facility extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 设备编号
	*/
	@ApiModelProperty(value = "设备编号")
	private String facilityNo;
	/**
	* 门店id
	*/
	@ApiModelProperty(value = "门店id")
	private Long shopId;
	/**
	* 设备名称
	*/
	@ApiModelProperty(value = "设备名称")
	private String facilityName;
	/**
	* 设备型号
	*/
	@ApiModelProperty(value = "设备型号")
	private String facilityType;
	/**
	* 设备经度
	*/
	@ApiModelProperty(value = "设备经度")
	private String longitude;
	/**
	* 设备纬度
	*/
	@ApiModelProperty(value = "设备纬度")
	private String latitude;
	/**
	* 设备状态
	*/
	@ApiModelProperty(value = "设备状态")
	private Integer facilityStatus;
	/**
	* 最新上传数据时间
	*/
	@ApiModelProperty(value = "最新上传数据时间")
	private LocalDateTime heartbeatTime;
	/**
	* 添加时间
	*/
	@ApiModelProperty(value = "添加时间")
	private LocalDateTime addTime;


}
