/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.business.service.impl;

import org.springblade.modules.business.entity.FacilityCargoWay;
import org.springblade.modules.business.vo.FacilityCargoWayVO;
import org.springblade.modules.business.mapper.FacilityCargoWayMapper;
import org.springblade.modules.business.service.IFacilityCargoWayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 售货机货表 服务实现类
 *
 * @author BladeX
 * @since 2024-07-16
 */
@Service
public class FacilityCargoWayServiceImpl extends ServiceImpl<FacilityCargoWayMapper, FacilityCargoWay> implements IFacilityCargoWayService {

	@Override
	public IPage<FacilityCargoWayVO> selectFacilityCargoWayPage(IPage<FacilityCargoWayVO> page, FacilityCargoWayVO facilityCargoWay) {
		return page.setRecords(baseMapper.selectFacilityCargoWayPage(page, facilityCargoWay));
	}

}
