/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.business.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.entity.FacilityCargoWay;
import org.springblade.modules.business.vo.FacilityCargoWayVO;
import java.util.Objects;

/**
 * 售货机货表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-07-16
 */
public class FacilityCargoWayWrapper extends BaseEntityWrapper<FacilityCargoWay, FacilityCargoWayVO>  {

	public static FacilityCargoWayWrapper build() {
		return new FacilityCargoWayWrapper();
 	}

	@Override
	public FacilityCargoWayVO entityVO(FacilityCargoWay facilityCargoWay) {
		FacilityCargoWayVO facilityCargoWayVO = Objects.requireNonNull(BeanUtil.copy(facilityCargoWay, FacilityCargoWayVO.class));

		//User createUser = UserCache.getUser(facilityCargoWay.getCreateUser());
		//User updateUser = UserCache.getUser(facilityCargoWay.getUpdateUser());
		//facilityCargoWayVO.setCreateUserName(createUser.getName());
		//facilityCargoWayVO.setUpdateUserName(updateUser.getName());

		return facilityCargoWayVO;
	}

}
