/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.business.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.entity.Facility;
import org.springblade.modules.business.vo.FacilityVO;
import java.util.Objects;

/**
 * 售货设备表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-07-16
 */
public class FacilityWrapper extends BaseEntityWrapper<Facility, FacilityVO>  {

	public static FacilityWrapper build() {
		return new FacilityWrapper();
 	}

	@Override
	public FacilityVO entityVO(Facility facility) {
		FacilityVO facilityVO = Objects.requireNonNull(BeanUtil.copy(facility, FacilityVO.class));

		//User createUser = UserCache.getUser(facility.getCreateUser());
		//User updateUser = UserCache.getUser(facility.getUpdateUser());
		//facilityVO.setCreateUserName(createUser.getName());
		//facilityVO.setUpdateUserName(updateUser.getName());

		return facilityVO;
	}

}
