/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.distribution.dto;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.distribution.entity.Appoint;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 履约单表列表数据传输对象实体类
 *
 * @author BladeX
 * @since 2023-06-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AppointDTO extends Appoint {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "商品id")
	private Long goodsId;

	@ApiModelProperty(value = "商品名称")
	private String goodsName;

	@ApiModelProperty(value = "商品数量")
	private Integer goodsNum;

	@ApiModelProperty(value = "商品图片")
	private String goodsImage;
}
