package org.springblade.modules.distribution.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 履约单表列表实体类
 *
 * @author zzyd
 * @since 2023-06-06
 */
@Data
@TableName("t_appoint")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Appoint对象", description = "履约单表列表")
public class Appoint extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 供应商ID
	*/
	@ApiModelProperty(value = "供应商ID")
	private Long storeId;
	/**
	* 供应商名称
	*/
	@ApiModelProperty(value = "供应商名称")
	private String storeName;
	/**
	* 自提点id
	*/
	@ApiModelProperty(value = "自提点id")
	private Long takeId;
	/**
	* 自提点名称
	*/
	@ApiModelProperty(value = "自提点名称")
	private String takeName;

	/**
	 * 自提点名称
	 */
	@ApiModelProperty(value = "自提点电话")
	private String takeTel;
	/**
	* 履约单状态：0、待发货，1、已发货，2已完成
	*/
	@ApiModelProperty(value = "履约单状态：0、待发货，1、已发货，2已完成")
	private Integer state;
	/**
	* 团购id
	*/
	@ApiModelProperty(value = "团购id")
	private Long grouponId;

	@ApiModelProperty(value = "团长用户id")
	private Long organizerId;
	/**
	* 团购标题
	*/
	@ApiModelProperty(value = "团购标题")
	private String grouponName;
	/**
	* 团购结束时间
	*/
	@ApiModelProperty(value = "团购结束时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date grouponEndTime;

	@ApiModelProperty(value = "团购开始时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date grouponStartTime;

	@ApiModelProperty(value = "发货时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date shipmentsTime;

	@ApiModelProperty(value = "到货码")
	private String arrivalCode;

	@ApiModelProperty(value = "到货时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date arrivalTime;

}
