package org.springblade.modules.distribution.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;

/**
 * 分销配置表列表实体类
 *
 * @author zzyd
 * @since 2023-06-04
 */
@Data
@TableName("t_commission")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Commission对象", description = "分销关系表")
public class Commission extends BaseEntity {

    @ApiModelProperty(value = "收益人id")
    private Long benefitUserId;

    @ApiModelProperty(value = "受益人名称")
    private String benefitUserName;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "绑定人id")
    private Long bindUserId;

    @ApiModelProperty(value = "绑定人名称")
    private String bindUserName;

    @ApiModelProperty(value = "佣金")
    private BigDecimal amount;

    @ApiModelProperty(value = "是否分佣  0未分佣，1已分佣")
    private Integer isPayouts;

    @ApiModelProperty(value = "分佣时间 ")
    private Integer payoutsTime;

    @ApiModelProperty(value = "是否有效 0无效，1有效")
    private Integer isUse;

}
