package org.springblade.modules.distribution.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 分销配置表列表实体类
 *
 * @author zzyd
 * @since 2023-06-04
 */
@Data
@TableName("t_distribution_config")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DistributionConfig对象", description = "分销配置表列表")
public class DistributionConfig extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 是否开启分销
	*/
	@ApiModelProperty(value = "是否开启分销")
	private Boolean isOpen;
	/**
	* 分销关系绑定天数
	*/
	@ApiModelProperty(value = "分销关系绑定天数")
	private Integer bindingDays;
	/**
	* 结算天数
	*/
	@ApiModelProperty(value = "结算天数")
	private Integer settleDays;
	/**
	* 分销比例
	*/
	@ApiModelProperty(value = "分销比例")
	private BigDecimal proportion;


}
