/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.distribution.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.springblade.modules.distribution.dto.AppointDTO;
import org.springblade.modules.distribution.entity.Appoint;
import org.springblade.modules.distribution.vo.AppointStoreVO;
import org.springblade.modules.distribution.vo.AppointVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 履约单表列表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-06-06
 */
public interface AppointMapper extends BaseMapper<Appoint> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param appoint
	 * @return
	 */
	List<AppointVO> selectAppointPage(IPage page, AppointVO appoint);

	/**
	 * 查询所有所有履约单的商品
	 * @return
	 */
	List<AppointDTO> countAppointList();

	@InterceptorIgnore(tenantLine = "true")
	List<AppointStoreVO> getAppointStoreVOS(IPage page, Integer state, Long searchId, Integer type);

	List<AppointVO> appointListBy(IPage page, Appoint appoint);
}
