/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.distribution.service;

import org.springblade.modules.distribution.entity.DistributionConfig;
import org.springblade.modules.distribution.vo.DistributionConfigVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 分销配置表列表 服务类
 *
 * @author BladeX
 * @since 2023-06-04
 */
public interface IDistributionConfigService extends IService<DistributionConfig> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param distributionConfig
	 * @return
	 */
	IPage<DistributionConfigVO> selectDistributionConfigPage(IPage<DistributionConfigVO> page, DistributionConfigVO distributionConfig);

}
