/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.distribution.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.distribution.entity.Appoint;
import org.springblade.modules.distribution.vo.AppointVO;
import java.util.Objects;

/**
 * 履约单表列表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-06
 */
public class AppointWrapper extends BaseEntityWrapper<Appoint, AppointVO>  {

	public static AppointWrapper build() {
		return new AppointWrapper();
 	}

	@Override
	public AppointVO entityVO(Appoint appoint) {
		AppointVO appointVO = Objects.requireNonNull(BeanUtil.copy(appoint, AppointVO.class));

		//User createUser = UserCache.getUser(appoint.getCreateUser());
		//User updateUser = UserCache.getUser(appoint.getUpdateUser());
		//appointVO.setCreateUserName(createUser.getName());
		//appointVO.setUpdateUserName(updateUser.getName());

		return appointVO;
	}

}
