package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 售后表实体类
 *
 * @author zzyd
 * @since 2023-06-15
 */
@Data
@TableName("t_after_sales")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AfterSales对象", description = "售后表")
public class AfterSales extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 订单ID
	*/
	@ApiModelProperty(value = "订单ID")
	private Long orderId;
	/**
	* 售后编号
	*/
	@ApiModelProperty(value = "售后编号")
	private String afterSalesNo;
	/**
	* 售后类型 1-退款 2-退货
	*/
	@ApiModelProperty(value = "售后类型 1-退款 2-退货")
	private Integer type;
	/**
	* 售后原因
	*/
	@ApiModelProperty(value = "售后原因")
	private String reason;
	/**
	* 售后状态 0-处理中 1-完成 2-关闭
	*/
	@ApiModelProperty(value = "售后状态 0-处理中 1-完成 2-关闭")
	private Integer status;
	/**
	* 退款状态 1-已退款 0-未退款
	*/
	@ApiModelProperty(value = "退款状态 1-已退款 0-未退款 2-退款中")
	private Integer refundState;

	@ApiModelProperty("拒绝原因")
	private String refuseReason;

	@ApiModelProperty("退货商品数量")
	private Integer returnGoodsNum;

	@ApiModelProperty("团购订单商品ID")
	private Long orderGrouponGoodsId;

	@ApiModelProperty("物流编号")
	private String logisticsNo;

	@ApiModelProperty("退货商品是否到货")
	private Integer isArrived;

	private Long userId;

	private Long storeId;

	private Long grouponId;
}
