package org.springblade.modules.finance.entity;

import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 分销商列表实体类
 *
 * @author zzyd
 * @since 2023-06-07
 */
@Data
@TableName("t_appoint_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppointGoods对象", description = "分销商列表")
public class AppointGoods extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 履约单ID
	*/
	@ApiModelProperty(value = "履约单ID")
	private Long appointId;

	@ExcelProperty(value = "到货码", index = 9)
	@ApiModelProperty(value = "到货码")
	private String arrivalCode;

	/**
	* 商品ID
	*/
	@ApiModelProperty(value = "商品ID")
	private Long goodsId;
	/**
	* 商品数量
	*/
	@ExcelProperty(value = "商品数量" , index = 2)
	@ApiModelProperty(value = "商品数量")
	private Integer goodsNum;
	/**
	* 商品金额
	*/
	@ApiModelProperty(value = "商品金额")
	private BigDecimal goodsPrice;
	/**
	* 商品名称
	*/
	@ExcelProperty(value = "商品名称", index = 1)
	@ApiModelProperty(value = "商品名称")
	private String goodsName;
	/**
	* 商品图片
	*/
	@ApiModelProperty(value = "商品图片")
	private String goodsImage;


}
