package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 订单详细表实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("t_order_detail")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrderDetail对象", description = "订单详细表")
public class OrderDetail extends BaseEntity<OrderDetail> {

	private static final long serialVersionUID = 1L;

	/**
	* order_id
	*/
	@ApiModelProperty(value = "order_id")
	private Long orderId;
	/**
	* 省
	*/
	@ApiModelProperty(value = "省")
	private String province;
	/**
	* 市
	*/
	@ApiModelProperty(value = "市")
	private String city;
	/**
	* 区
	*/
	@ApiModelProperty(value = "区")
	private String district;
	/**
	* 街道
	*/
	@ApiModelProperty(value = "街道")
	private String street;
	/**
	* 详细地址
	*/
	@ApiModelProperty(value = "详细地址")
	private String address;
	/**
	* 物流公司名称
	*/
	@ApiModelProperty(value = "物流公司名称")
	private String logisticsCompany;
	/**
	* 物流单号
	*/
	@ApiModelProperty(value = "物流单号")
	private String logisticNo;
	/**
	* 物流公司代码
	*/
	@ApiModelProperty(value = "物流公司代码")
	private String logisticsCompanyNo;
	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
	private String remark;
}
