package org.springblade.modules.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

import java.time.LocalDateTime;

/**
 * 异常订单表实体类
 *
 * @author BladeX
 * @since 2022-11-15
 */
@Data
@TableName("t_order_exception")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrderException对象", description = "异常订单表")
public class OrderException extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 订单id
	 */
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	/**
	 * 错误信息
	 */
	@ApiModelProperty(value = "错误信息")
	private String errorMessage;
	/**
	 * 错误类型 0-其他 1-余额不足 2-订单已取消 3-地区不发货
	 */
	@ApiModelProperty(value = "错误类型 0-其他 1-余额不足 2-订单已取消 3-地区不发货")
	private Integer errorType;
	/**
	 * 是否已处理 0-未处理 1-已处理
	 */
	@ApiModelProperty(value = "是否已处理 0-未处理 1-已处理")
	private Integer isProcess;
	/**
	 * 处理时间
	 */
	@ApiModelProperty(value = "处理时间")
	private LocalDateTime processTime;
	/**
	 * 删除标识
	 */
	@ApiModelProperty(value = "删除标识")
	private Integer isDelete;


}
