package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 团购订单表实体类
 *
 * @author zzyd
 * @since 2023-06-06
 */
@Data
@TableName("t_order_groupon")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrderGroupon对象", description = "团购订单表")
public class OrderGroupon extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 订单id
	*/
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	/**
	* 自提点ID
	*/
	@ApiModelProperty(value = "自提点ID")
	private Long selfTakeId;
	/**
	* 团购ID
	*/
	@ApiModelProperty(value = "团购ID")
	private Long grouponId;
	/**
	* 团长ID
	*/
	@ApiModelProperty(value = "团长ID")
	private Long organizerId;
	/**
	* 取货码
	*/
	@ApiModelProperty(value = "取货码")
	private String pickupCode;

	@ApiModelProperty(value = "是否到货 1-是 0否")
	private Integer isArrive;

	@ApiModelProperty(value = "是否核销 1-是 0否")
	private Integer isChargeOff;
}
