package org.springblade.modules.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 实体类
 *
 * @author BladeX
 * @since 2022-07-13
 */
@Data
@TableName("t_payment_record")
@ApiModel(value = "PaymentRecord对象", description = "PaymentRecord对象")
public class PaymentRecord extends BaseEntity<PaymentRecord> implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 订单ID
     */
    @ApiModelProperty(value = "订单ID")
    private String orderNo;
    /**
     * 付款方式
     */
    @ApiModelProperty(value = "付款方式:0支付宝支付，1联动快捷支付 2 微信")
    private Integer paymentType;
    /**
     * 付款金额
     */
    @ApiModelProperty(value = "付款金额")
    private BigDecimal paymentPrice;

    /**
     * 响应json
     */
    @ApiModelProperty(value = "响应json")
    private String responseJson;
    /**
     * 请求报文
     */
    @ApiModelProperty(value = "请求报文")
    private String requestJson;


    /**
     * 状态
     */
    @ApiModelProperty(value = "状态：0付款中，1已付款，2付款失败")
    private Integer status;


}
