package org.springblade.modules.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Author pangqijun
 * Date 2022/8/6
 * Description 交易流水表
 */
@Data
@TableName("t_transaction_flow")
public class TransactionFlow extends BaseEntity {
	/** 交易流水号 */
	private String transactionNo;
	/** 交易类型 1-收入 2-支出 */
	private Integer tranType;
	/** 交易金额 */
	private BigDecimal amount;
	/** 交易状态 1-未支付 2-已支付 3-已取消 */
	private Integer status;
	/** 支付方式 */
	private String paymentType;
	/** 支付时间 */
	private Date paymentTime;
	/** 取消时间 */
	private Date cancelTime;
}
