/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.modules.api.vo.ExportAllAppointGoodsVO;
import org.springblade.modules.api.vo.ExportAppointGoodsVO;
import org.springblade.modules.api.vo.ExportTakeAppointGoodsVO;
import org.springblade.modules.finance.entity.AppointGoods;
import org.springblade.modules.finance.vo.AppointGoodsVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 分销商列表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-06-07
 */
public interface AppointGoodsMapper extends BaseMapper<AppointGoods> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param appointGoods
	 * @return
	 */
	List<AppointGoodsVO> selectAppointGoodsPage(IPage page, AppointGoodsVO appointGoods);

	List<ExportAppointGoodsVO> exportAppointGoods(Long grouponId, Long searchId);

	List<ExportAllAppointGoodsVO> exportAllAppointGoods(Long grouponId);

	List<ExportTakeAppointGoodsVO> exportTakeAppointGoods(Long grouponId, Long searchId);

	List<AppointGoodsVO> selectNotArrive(Long grouponId, Long selfTakeId, List<Long> goodsIds);
}
