/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.finance.entity.OrderGroupon;
import org.springblade.modules.finance.vo.OrderGrouponVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.groupon.vo.AppointmentVO;
import org.springblade.modules.groupon.vo.ExportAppointmentVO;
import org.springblade.modules.groupon.vo.ExportPickUpAppointmentVO;

import java.util.List;

/**
 * 团购订单表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-06-06
 */
public interface OrderGrouponMapper extends BaseMapper<OrderGroupon> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param orderGroupon
	 * @return
	 */
	List<OrderGrouponVO> selectOrderGrouponPage(IPage page, OrderGrouponVO orderGroupon);

	List<OrderGroupon> getByGrouponIds(@Param("grouponIds") List<Long> grouponIds);

	List<OrderGroupon> getByGrouponId(Long grouponId, Long selfTakeId, Integer state);

	List<OrderGroupon> getGrouponOrder(List<Long> grouponIds, Integer state);

	@InterceptorIgnore(tenantLine = "true")
	List<AppointmentVO> selectPickUpAppointment(IPage page, Long organizerUserId, Integer state, Long selfTakeId);

    List<ExportPickUpAppointmentVO> selectPickUpAppointmentData(Long grouponId);

    List<ExportAppointmentVO> selectPickUpAppointmentDataAll(Long grouponId);
}
