/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.finance.entity.Order;
import org.springblade.modules.finance.entity.OrderException;
import org.springblade.modules.finance.vo.OrderExceptionVO;

/**
 * 异常订单表 服务类
 *
 * @author BladeX
 * @since 2022-11-15
 */
public interface IOrderExceptionService extends IService<OrderException> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param orderException
	 * @return
	 */
	IPage<OrderExceptionVO> selectOrderExceptionPage(IPage<OrderExceptionVO> page, OrderExceptionVO orderException);

	/**
	 * 保存异常订单,注意====此方法只能在支付成功后调用====
	 * @param order
	 * @param errMessage
	 * @param payCode
	 */
	void saveExceptionOrder(Order order, String errMessage, String payCode, Throwable e);

	/**
	 * 补单
	 * @param orderNo
	 */
	void replacementOrder(String orderNo, String payCode);

	/**
	 * 重新下单
	 * @param oldOrderNo
	 * @param payCode
	 */
	void reSubmitOrder(String oldOrderNo, String payCode);

}
