/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.finance.entity.Order;
import org.springblade.modules.finance.entity.PaymentRecord;
import org.springblade.modules.finance.vo.PaymentRecordVO;

/**
 *  付款记录service
 *
 * @author BladeX
 * @since 2022-07-13
 */
public interface IPaymentRecordService extends IService<PaymentRecord> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param paymentRecord
	 * @return
	 */
	IPage<PaymentRecordVO> selectPaymentRecordPage(IPage<PaymentRecordVO> page, PaymentRecordVO paymentRecord);

	/**
	 * 付款记录初始化
	 * @param order
	 * @param payType 付款方式:0支付宝支付，1联动快捷支付 2 微信
	 */
	void init(Order order, Integer payType);

	/**
	 * 支付成功
	 * @param orderNo
	 */
	void success(String orderNo);
}
