/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service.impl;

import org.springblade.modules.finance.entity.AfterSalesReason;
import org.springblade.modules.finance.vo.AfterSalesReasonVO;
import org.springblade.modules.finance.mapper.AfterSalesReasonMapper;
import org.springblade.modules.finance.service.IAfterSalesReasonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 售后原因 服务实现类
 *
 * @author BladeX
 * @since 2023-06-13
 */
@Service
public class AfterSalesReasonServiceImpl extends ServiceImpl<AfterSalesReasonMapper, AfterSalesReason> implements IAfterSalesReasonService {

	@Override
	public IPage<AfterSalesReasonVO> selectAfterSalesReasonPage(IPage<AfterSalesReasonVO> page, AfterSalesReasonVO afterSalesReason) {
		return page.setRecords(baseMapper.selectAfterSalesReasonPage(page, afterSalesReason));
	}

}
