/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service.impl;

import org.springblade.modules.finance.entity.AppointGoods;
import org.springblade.modules.finance.vo.AppointGoodsVO;
import org.springblade.modules.finance.mapper.AppointGoodsMapper;
import org.springblade.modules.finance.service.IAppointGoodsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 分销商列表 服务实现类
 *
 * @author BladeX
 * @since 2023-06-07
 */
@Service
public class AppointGoodsServiceImpl extends ServiceImpl<AppointGoodsMapper, AppointGoods> implements IAppointGoodsService {

	@Override
	public IPage<AppointGoodsVO> selectAppointGoodsPage(IPage<AppointGoodsVO> page, AppointGoodsVO appointGoods) {
		return page.setRecords(baseMapper.selectAppointGoodsPage(page, appointGoods));
	}

	@Override
	public List<AppointGoodsVO> getNotArrive(Long grouponId, Long selfTakeId, List<Long> goodsIds) {
		return baseMapper.selectNotArrive(grouponId, selfTakeId, goodsIds);
	}

}
