/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service.impl;

import org.springblade.modules.finance.entity.ConfirmOrder;
import org.springblade.modules.finance.vo.ConfirmOrderVO;
import org.springblade.modules.finance.mapper.ConfirmOrderMapper;
import org.springblade.modules.finance.service.IConfirmOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 核销订单表 服务实现类
 *
 * @author BladeX
 * @since 2023-06-13
 */
@Service
public class ConfirmOrderServiceImpl extends ServiceImpl<ConfirmOrderMapper, ConfirmOrder> implements IConfirmOrderService {

	@Override
	public IPage<ConfirmOrderVO> selectConfirmOrderPage(IPage<ConfirmOrderVO> page, ConfirmOrderVO confirmOrder) {
		return page.setRecords(baseMapper.selectConfirmOrderPage(page, confirmOrder));
	}

}
