/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service.impl;

import org.springblade.modules.finance.entity.OrderDetail;
import org.springblade.modules.finance.vo.OrderDetailVO;
import org.springblade.modules.finance.mapper.OrderDetailMapper;
import org.springblade.modules.finance.service.IOrderDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 订单详细表 服务实现类
 *
 * @author BladeX
 * @since 2023-02-14
 */
@Service
public class OrderDetailServiceImpl extends ServiceImpl<OrderDetailMapper, OrderDetail> implements IOrderDetailService {

	@Override
	public IPage<OrderDetailVO> selectOrderDetailPage(IPage<OrderDetailVO> page, OrderDetailVO orderDetail) {
		return page.setRecords(baseMapper.selectOrderDetailPage(page, orderDetail));
	}

	@Override
	public OrderDetail getByOrderId(Long orderId) {
		return this.lambdaQuery().eq(OrderDetail::getOrderId, orderId).one();
	}

}
