/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.finance.entity.TransactionFlow;
import org.springblade.modules.finance.mapper.TransactionFlowMapper;
import org.springblade.modules.finance.service.ITransactionFlowService;
import org.springblade.modules.finance.vo.TransactionFlowVO;
import org.springframework.stereotype.Service;

/**
 * 交易流水表 服务实现类
 *
 * @author BladeX
 * @since 2022-08-07
 */
@Service
public class TransactionFlowServiceImpl extends ServiceImpl<TransactionFlowMapper, TransactionFlow> implements ITransactionFlowService {

	@Override
	public IPage<TransactionFlowVO> selectTransactionFlowPage(IPage<TransactionFlowVO> page, TransactionFlowVO transactionFlow) {
		return page.setRecords(baseMapper.selectTransactionFlowPage(page, transactionFlow));
	}

	@Override
	public TransactionFlow getByNo(String traNo) {
		return this.lambdaQuery().eq(TransactionFlow::getTransactionNo, traNo).one();
	}

}
