/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.enums.OrderStateEnum;
import org.springblade.modules.finance.entity.Order;

/**
 * 订单主表视图实体类-商家
 *
 * @author BladeXorderStateDesc
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "商家端订单分页参数对象", description = "商家端订单分页参数对象")
public class MerchantPageOrderVO extends Order {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单状态")
    private Integer orderState;
    @ApiModelProperty(value = "订单状态描述")
    private String orderStateDesc;

    public String getOrderStateDesc() {
        return OrderStateEnum.getNameByValue(orderState);
    }

}
