/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.finance.entity.AfterSalesReason;
import org.springblade.modules.finance.vo.AfterSalesReasonVO;
import java.util.Objects;

/**
 * 售后原因包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-13
 */
public class AfterSalesReasonWrapper extends BaseEntityWrapper<AfterSalesReason, AfterSalesReasonVO>  {

	public static AfterSalesReasonWrapper build() {
		return new AfterSalesReasonWrapper();
 	}

	@Override
	public AfterSalesReasonVO entityVO(AfterSalesReason afterSalesReason) {
		AfterSalesReasonVO afterSalesReasonVO = Objects.requireNonNull(BeanUtil.copy(afterSalesReason, AfterSalesReasonVO.class));

		//User createUser = UserCache.getUser(afterSalesReason.getCreateUser());
		//User updateUser = UserCache.getUser(afterSalesReason.getUpdateUser());
		//afterSalesReasonVO.setCreateUserName(createUser.getName());
		//afterSalesReasonVO.setUpdateUserName(updateUser.getName());

		return afterSalesReasonVO;
	}

}
