/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.finance.entity.OrderGrouponGoods;
import org.springblade.modules.finance.vo.OrderGrouponGoodsVO;
import java.util.Objects;

/**
 * 团购商品订单表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-06
 */
public class OrderGrouponGoodsWrapper extends BaseEntityWrapper<OrderGrouponGoods, OrderGrouponGoodsVO>  {

	public static OrderGrouponGoodsWrapper build() {
		return new OrderGrouponGoodsWrapper();
 	}

	@Override
	public OrderGrouponGoodsVO entityVO(OrderGrouponGoods orderGrouponGoods) {
		OrderGrouponGoodsVO orderGrouponGoodsVO = Objects.requireNonNull(BeanUtil.copy(orderGrouponGoods, OrderGrouponGoodsVO.class));

		//User createUser = UserCache.getUser(orderGrouponGoods.getCreateUser());
		//User updateUser = UserCache.getUser(orderGrouponGoods.getUpdateUser());
		//orderGrouponGoodsVO.setCreateUserName(createUser.getName());
		//orderGrouponGoodsVO.setUpdateUserName(updateUser.getName());

		return orderGrouponGoodsVO;
	}

}
