package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 团员列表实体类
 *
 * @author zzyd
 * @since 2023-06-20
 */
@Data
@TableName("t_embers")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Embers对象", description = "团员列表")
public class Embers extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 分享人id
	*/
	@ApiModelProperty(value = "分享人id")
	private Long shareUserId;
	/**
	* 绑定用户id
	*/
	@ApiModelProperty(value = "绑定用户id")
	private Long bindUserId;
	/**
	* 团员名称
	*/
	@ApiModelProperty(value = "团员名称")
	private String userName;
	/**
	* 用户电话
	*/
	@ApiModelProperty(value = "用户电话")
	private String userTel;
	/**
	* 绑定状态 0:有效，1无效
	*/
	@ApiModelProperty(value = "绑定状态")
	private Integer state;


}
