package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 图文表，存储意见，投诉等信息实体类
 *
 * @author zzyd
 * @since 2023-06-15
 */
@Data
@TableName("t_file_content")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "FileContent对象", description = "图文表，存储意见，投诉等信息")
public class FileContent extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 处理人ID
	*/
	@ApiModelProperty(value = "处理人ID")
	private Long replyUserId;
	/**
	* 类型
	*/
	@ApiModelProperty(value = "类型")
	private Integer type;
	/**
	* 状态
	*/
	@ApiModelProperty(value = "状态")
	private Integer status;
	/**
	* 回复内容
	*/
	@ApiModelProperty(value = "回复内容")
	private String replyContent;
	/**
	* 内容
	*/
	@ApiModelProperty(value = "内容")
	private String content;
	/**
	* 图片链接
	*/
	@ApiModelProperty(value = "图片链接")
	private String imgUrl;


	@ApiModelProperty(value = "电话号码")
	private String phone;


}
