package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 团购表实体类
 *
 * @author zzyd
 * @since 2023-06-02
 */
@Data
@TableName("t_groupon")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Groupon对象", description = "团购表")
public class Groupon extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 主标题
	*/
	@ApiModelProperty(value = "主标题")
	private String mainTitle;
	/**
	* 副标题
	*/
	@ApiModelProperty(value = "副标题")
	private String subTitle;
	/**
	* 团购开始时间
	*/
	@ApiModelProperty(value = "团购开始时间")
	private LocalDateTime grouponStartTime;
	/**
	* 团购结束时间
	*/
	@ApiModelProperty(value = "团购结束时间")
	private LocalDateTime grouponEndTime;
	/**
	* 取货开始时间
	*/
	@ApiModelProperty(value = "取货开始时间")
	private LocalDateTime takeStartTime;
	/**
	* 取货结束时间
	*/
	@ApiModelProperty(value = "取货结束时间")
	private LocalDateTime takeEndTime;
	/**
	* 状态
	*/
	@ApiModelProperty(value = "状态")
	private Integer status;
	/**
	* 浏览量
	*/
	@ApiModelProperty(value = "浏览量")
	private Integer views;
	/**
	* 审核状态
	*/
	@ApiModelProperty(value = "审核状态")
	private Integer auditStatus;
	/**
	* 审核时间
	*/
	@ApiModelProperty(value = "审核时间")
	private LocalDateTime auditTime;

	@ApiModelProperty(value = "审核描述")
	private String auditMessage;

	@ApiModelProperty(value = "分享图片")
	private String shareImage;

	/**
	* 来源 1-平台 2-用户
	*/
	@ApiModelProperty(value = "来源 1-平台 2-用户")
	private Integer source;
	/**
	* 信息是否完善
	*/
	@ApiModelProperty(value = "信息是否完善")
	private Integer isPerfect;

	@ApiModelProperty(value = "是否生成履约单")
	private Integer isAppoint;

	@ApiModelProperty(value = "团长用户Id")
	private Long organizerUserId;

	@ApiModelProperty(value = "团购状态 1-待收货 2-待提货 3-已完成 4-售后")
	private Integer grouponState;
}
