package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 团购商品表实体类
 *
 * @author zzyd
 * @since 2023-06-02
 */
@Data
@TableName("t_groupon_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GrouponGoods对象", description = "团购商品表")
public class GrouponGoods extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 团购id
	*/
	@ApiModelProperty(value = "团购id")
	private Long grouponId;
	/**
	* 商品ID
	*/
	@ApiModelProperty(value = "商品ID")
	private Long goodsId;
	/**
	* 商品数量
	*/
	@ApiModelProperty(value = "商品数量")
	private Integer goodsNum;

	@ApiModelProperty(value = "团购价")
	private BigDecimal grouponPrice;

	@ApiModelProperty(value = "商品排序")
	private Integer sort;
}
