package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 团购图片表实体类
 *
 * @author zzyd
 * @since 2023-06-02
 */
@Data
@TableName("t_groupon_image")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GrouponImage对象", description = "团购图片表")
public class GrouponImage extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 团购id
	*/
	@ApiModelProperty(value = "团购id")
	private Long grouponId;
	/**
	* 图片url
	*/
	@ApiModelProperty(value = "图片url")
	private String url;
	/**
	* 类型 1-轮播图 2-详情
	*/
	@ApiModelProperty(value = "类型 1-轮播图 2-详情")
	private Integer type;


}
