package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import java.sql.Time;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 自提点表实体类
 *
 * @author zzyd
 * @since 2023-06-02
 */
@Data
@TableName("t_self_take")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SelfTake对象", description = "自提点表")
public class SelfTake extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 自提点名字
	*/
	@ApiModelProperty(value = "自提点名字")
	private String name;
	/**
	* 自提点地址
	*/
	@ApiModelProperty(value = "自提点地址")
	private String address;
	/**
	* 经度
	*/
	@ApiModelProperty(value = "经度")
	private Double longitude;
	/**
	* 纬度
	*/
	@ApiModelProperty(value = "纬度")
	private Double latitude;
	/**
	* 营业开始时间
	*/
	@ApiModelProperty(value = "营业开始时间")
	private Time busStartTime;
	/**
	* 营业结束时间
	*/
	@ApiModelProperty(value = "营业结束时间")
	private Time busEndTime;
	/**
	* 来源 1-平台 2-用户
	*/
	@ApiModelProperty(value = "来源 1-平台 2-用户")
	private Integer source;
	/**
	* 状态
	*/
	@ApiModelProperty(value = "状态")
	private Integer status;


	@ApiModelProperty(value = "是否是默认自提点0，不是。1是")
	private Integer isDefault;

	@ApiModelProperty(value = "自提点联系电话")
	private String contactNumber;


	@ApiModelProperty(value = "自提点联系人")
	private String contactPerson;
}
