/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.mapper;

import org.springblade.modules.groupon.entity.Groupon;
import org.springblade.modules.groupon.vo.GrouponVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 团购表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-06-02
 */
public interface GrouponMapper extends BaseMapper<Groupon> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param groupon
	 * @return
	 */
	List<GrouponVO> selectGrouponPage(IPage page, GrouponVO groupon);

	/**
	 * 查询团购列表
	 * @param page
	 * @param type 1-最新团购 2-历史团购
	 * @return
	 */
	List<GrouponVO> selectGroupon(IPage page, Integer type, String address);

}
