/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.service;

import org.springblade.modules.groupon.entity.GrouponGoods;
import org.springblade.modules.groupon.vo.GrouponGoodsVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.mall.entity.GoodsInfo;
import org.springblade.modules.mall.vo.GoodsInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 团购商品表 服务类
 *
 * @author BladeX
 * @since 2023-06-02
 */
public interface IGrouponGoodsService extends IService<GrouponGoods> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param grouponGoods
	 * @return
	 */
	IPage<GrouponGoodsVO> selectGrouponGoodsPage(IPage<GrouponGoodsVO> page, GrouponGoodsVO grouponGoods);

	/**
	 * 获取商品图片
	 * @param grouponId
	 * @return
	 */
	Map<Long, List<GrouponGoodsVO>> getGoodsCover(List<Long> grouponId);

	/**
	 * 查询团购商品列表
	 * @param grouponId
	 * @return
	 */
	List<GoodsInfoVO> getGoodsByGrouponId(Long grouponId);

	/**
	 * 添加团购商品
	 * @param id
	 * @param goodsIds
	 */
	void addGoods(Long id, List<GrouponGoods> goodsIds);
}
