/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.service;

import org.springblade.modules.groupon.entity.GrouponImage;
import org.springblade.modules.groupon.vo.GrouponImageVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * 团购图片表 服务类
 *
 * @author BladeX
 * @since 2023-06-02
 */
public interface IGrouponImageService extends IService<GrouponImage> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param grouponImage
	 * @return
	 */
	IPage<GrouponImageVO> selectGrouponImagePage(IPage<GrouponImageVO> page, GrouponImageVO grouponImage);

	Map<Long, List<String>> getByGroupIds(List<Long> grouponIds, int type);

	void deleteByGrouponId(Long grouponId);

}
