/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.service.impl;

import org.springblade.modules.groupon.entity.Embers;
import org.springblade.modules.groupon.vo.EmbersVO;
import org.springblade.modules.groupon.mapper.EmbersMapper;
import org.springblade.modules.groupon.service.IEmbersService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.Date;

/**
 * 团员列表 服务实现类
 *
 * @author BladeX
 * @since 2023-06-20
 */
@Service
public class EmbersServiceImpl extends ServiceImpl<EmbersMapper, Embers> implements IEmbersService {

	@Override
	public IPage<EmbersVO> selectEmbersPage(IPage<EmbersVO> page, EmbersVO embers) {
		return page.setRecords(baseMapper.selectEmbersPage(page, embers));
	}

	@Override
	public void unbundleUser(Date time) {
		this.getBaseMapper().unbundleUser(time);
	}

}
