/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.service.impl;

import org.springblade.modules.groupon.entity.FileContent;
import org.springblade.modules.groupon.vo.FileContentVO;
import org.springblade.modules.groupon.mapper.FileContentMapper;
import org.springblade.modules.groupon.service.IFileContentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 图文表，存储意见，投诉等信息 服务实现类
 *
 * @author BladeX
 * @since 2023-06-15
 */
@Service
public class FileContentServiceImpl extends ServiceImpl<FileContentMapper, FileContent> implements IFileContentService {

	@Override
	public IPage<FileContentVO> selectFileContentPage(IPage<FileContentVO> page, FileContentVO fileContent) {
		return page.setRecords(baseMapper.selectFileContentPage(page, fileContent));
	}

}
