/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.service.impl;

import org.springblade.modules.groupon.entity.GrouponSelfTake;
import org.springblade.modules.groupon.vo.GrouponSelfTakeVO;
import org.springblade.modules.groupon.mapper.GrouponSelfTakeMapper;
import org.springblade.modules.groupon.service.IGrouponSelfTakeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.ArrayList;
import java.util.List;

/**
 * 团购自提点关联表 服务实现类
 *
 * @author BladeX
 * @since 2023-06-02
 */
@Service
public class GrouponSelfTakeServiceImpl extends ServiceImpl<GrouponSelfTakeMapper, GrouponSelfTake> implements IGrouponSelfTakeService {

	@Override
	public IPage<GrouponSelfTakeVO> selectGrouponSelfTakePage(IPage<GrouponSelfTakeVO> page, GrouponSelfTakeVO grouponSelfTake) {
		return page.setRecords(baseMapper.selectGrouponSelfTakePage(page, grouponSelfTake));
	}

	@Override
	public void addSelfTake(Long grouponId, List<Long> selfTakeIds) {
		List<GrouponSelfTake> selfTakes = new ArrayList<>();

		// 保存自提点信息
		for (Long selfTakeId : selfTakeIds) {
			GrouponSelfTake selfTake = new GrouponSelfTake();
			selfTake.setGrouponId(grouponId);
			selfTake.setSelfTakeId(selfTakeId);
			selfTakes.add(selfTake);
		}
		saveBatch(selfTakes);
	}

}
