package org.springblade.modules.groupon.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ColumnWidth(20)
@HeadRowHeight(20)
@ContentRowHeight(20)
public class ExportAppointmentVO {

    @ExcelProperty(value = "团购标题")
    private String mainTitle;

    @ExcelProperty(value = "团购开始时间")
    private String grouponStartTime;

    @ExcelProperty(value = "履约单状态")
    private String state;

    @ColumnWidth(30)
    @ExcelProperty(value = "自提点名称")
    private String selfTakeName;

    @ColumnWidth(50)
    @ExcelProperty(value = "自提点地址")
    private String selfTakeAddress;

    @ExcelProperty(value = "自提点联系人")
    private String selfTakePerson;

    @ExcelProperty(value = "自提点联系电话")
    private String selfTakePhone;

    @ExcelProperty(value = "配送方式")
    private String distributionMode;

    @ExcelProperty(value = "下单人")
    private String orderUser;

    @ExcelProperty(value = "下单人手机号")
    private String orderUserPhone;

    @ExcelProperty(value = "团长")
    private String commander;

    @ExcelProperty(value = "收货人")
    private String consignee = "";

    
    @ExcelProperty(value = "收货地址")
    private String deliveryAddress = "";

    
    @ExcelProperty(value = "联系电话")
    private String consigneePhone = "";

    
    @ExcelProperty(value = "取货码")
    private String pickUpCode;

    
    @ExcelProperty(value = "订单号")
    private String orderNo;

    
    @ExcelProperty(value = "供应商名称")
    private String storeName;

    
    @ExcelProperty(value = "商品名称")
    private String goodsName;

    
    @ExcelProperty(value = "商品规格")
    private String goodsSpec;

    
    @ExcelProperty(value = "商品编码")
    private String goodsNo;

    @ExcelProperty(value = "商品数量")
    private Integer goodsNum;

    @ExcelProperty(value = "供货价")
    private BigDecimal costPrice;

    @ExcelProperty(value = "团购价")
    private BigDecimal grouponPrice;

    @ExcelProperty(value = "退货数量")
    private Integer refundGoodsNum;

    @ExcelProperty(value = "退款金额")
    private BigDecimal refundAmount;

    /**
     * （商品数量-退货数量）* 供货价
     */
    @ExcelProperty(value = "供货金额")
    private BigDecimal supplyGoodsAmount;

    /**
     * （商品数量-退货数量）*团购价
     */
    @ExcelProperty(value = "团购金额")
    private BigDecimal grouponAmount;

    @ExcelProperty(value = "订单状态")
    private String orderStateDesc;

    @ExcelIgnore
    private Long orderId;
    @ExcelIgnore
    private Long userId;
    @ExcelIgnore
    private Integer orderState;
}
