package org.springblade.modules.groupon.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

@Data
@HeadRowHeight(20)
@ColumnWidth(20)
@ContentRowHeight(20)
public class ExportPickUpAppointmentVO {

    @ExcelProperty(value = "团购标题")
    private String mainTitle;

    @ExcelProperty(value = "团购开始时间")
    private String grouponStartTime;

    @ExcelProperty(value = "履约单状态")
    private String state;

    @ExcelProperty(value = "下单人")
    private String username;

    @ExcelProperty(value = "下单人电话")
    private String phone;

    @ExcelProperty(value = "收货人")
    private String consignee = "";

    @ExcelProperty(value = "收货地址")
    private String deliveryAddress = "";

    @ExcelProperty(value = "联系电话")
    private String consigneePhone = "";

    @ExcelProperty(value = "取货码")
    private String pickUpCode;

    @ColumnWidth(60)
    @ExcelProperty(value = "商品")
    private String goods;

    @ColumnWidth(15)
    @ExcelProperty(value = "是否到货")
    private String arrivedDesc;

    @ColumnWidth(15)
    @ExcelProperty(value = "是否取货")
    private String chargeOffDesc;

    @ColumnWidth(30)
    @ExcelProperty(value = "订单号")
    private String orderNo;

    @ExcelIgnore
    private Long orderId;
    @ExcelIgnore
    private Long userId;
}
