/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.groupon.entity.FileContent;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

/**
 * 图文表，存储意见，投诉等信息视图实体类
 *
 * @author BladeX
 * @since 2023-06-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "FileContentVO对象", description = "图文表，存储意见，投诉等信息")
public class FileContentVO extends FileContent {
	private static final long serialVersionUID = 1L;

	/**
	 * 处理人ID
	 */
	@ApiModelProperty(value = "处理人名称")
	private String replyUserName;

	private String feedbackPerson;

	private String feedbackPersonPhone;

}
