/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.groupon.entity.GrouponGoods;
import org.springblade.modules.groupon.vo.GrouponGoodsVO;
import java.util.Objects;

/**
 * 团购商品表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-02
 */
public class GrouponGoodsWrapper extends BaseEntityWrapper<GrouponGoods, GrouponGoodsVO>  {

	public static GrouponGoodsWrapper build() {
		return new GrouponGoodsWrapper();
 	}

	@Override
	public GrouponGoodsVO entityVO(GrouponGoods grouponGoods) {
		GrouponGoodsVO grouponGoodsVO = Objects.requireNonNull(BeanUtil.copy(grouponGoods, GrouponGoodsVO.class));

		//User createUser = UserCache.getUser(grouponGoods.getCreateUser());
		//User updateUser = UserCache.getUser(grouponGoods.getUpdateUser());
		//grouponGoodsVO.setCreateUserName(createUser.getName());
		//grouponGoodsVO.setUpdateUserName(updateUser.getName());

		return grouponGoodsVO;
	}

}
