/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.groupon.entity.GrouponSelfTake;
import org.springblade.modules.groupon.vo.GrouponSelfTakeVO;
import java.util.Objects;

/**
 * 团购自提点关联表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-02
 */
public class GrouponSelfTakeWrapper extends BaseEntityWrapper<GrouponSelfTake, GrouponSelfTakeVO>  {

	public static GrouponSelfTakeWrapper build() {
		return new GrouponSelfTakeWrapper();
 	}

	@Override
	public GrouponSelfTakeVO entityVO(GrouponSelfTake grouponSelfTake) {
		GrouponSelfTakeVO grouponSelfTakeVO = Objects.requireNonNull(BeanUtil.copy(grouponSelfTake, GrouponSelfTakeVO.class));

		//User createUser = UserCache.getUser(grouponSelfTake.getCreateUser());
		//User updateUser = UserCache.getUser(grouponSelfTake.getUpdateUser());
		//grouponSelfTakeVO.setCreateUserName(createUser.getName());
		//grouponSelfTakeVO.setUpdateUserName(updateUser.getName());

		return grouponSelfTakeVO;
	}

}
