/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.groupon.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.groupon.entity.SelfTake;
import org.springblade.modules.groupon.vo.SelfTakeVO;
import java.util.Objects;

/**
 * 自提点表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-02
 */
public class SelfTakeWrapper extends BaseEntityWrapper<SelfTake, SelfTakeVO>  {

	public static SelfTakeWrapper build() {
		return new SelfTakeWrapper();
 	}

	@Override
	public SelfTakeVO entityVO(SelfTake selfTake) {
		SelfTakeVO selfTakeVO = Objects.requireNonNull(BeanUtil.copy(selfTake, SelfTakeVO.class));

		//User createUser = UserCache.getUser(selfTake.getCreateUser());
		//User updateUser = UserCache.getUser(selfTake.getUpdateUser());
		//selfTakeVO.setCreateUserName(createUser.getName());
		//selfTakeVO.setUpdateUserName(updateUser.getName());

		return selfTakeVO;
	}

}
