/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;

/**
 * 品牌信息表实体类
 *
 * @author BladeX
 * @since 2022-05-08
 */
@Data
@TableName("t_brands_info")
@ApiModel(value = "BrandsInfo对象", description = "品牌信息表")
public class BrandsInfo extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 品牌名称
	 */
	@ApiModelProperty(value = "品牌名称")
	private String brandName;
	/**
	 * 品牌图标
	 */
	@ApiModelProperty(value = "品牌图标")
	private String logo;
	/**
	 * 品牌背景图片
	 */
	@ApiModelProperty(value = "品牌背景图片")
	private String backgroundImage;
	/**
	 * 品牌介绍
	 */
	@ApiModelProperty(value = "品牌介绍")
	private String brandDesc;
	/**
	 * 排序
	 */
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	 * 状态;1：有效；0：无效；
	 */
	@ApiModelProperty(value = "状态;1：有效；0：无效；")
	private String state;
	/**
	 * is_delete;0为未删除，1为已删除
	 */
	@ApiModelProperty(value = "is_delete;0为未删除，1为已删除")
	private Integer isDelete;
}
