/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;

/**
 * 类别表实体类
 *
 * @author BladeX
 * @since 2022-05-07
 */
@Data
@TableName("t_category_info")
@ApiModel(value = "CategoryInfo对象", description = "类别表")
public class CategoryInfo extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@ApiModelProperty(value = "主键")
	private Long id;
	/**
	 * 分类名称
	 */
	@ApiModelProperty(value = "分类名称")
	private String title;
	/**
	 * 分类图标
	 */
	@ApiModelProperty(value = "分类图标")
	private String logo;

	/**
	 * 分类图标
	 */
	@ApiModelProperty(value = "选中状态时的图标")
	private String selectImage;
	/**
	 * 层级
	 */
	@ApiModelProperty(value = "0")
	private Integer level;
	/**
	 * 状态;1：有效；0：无效；
	 */
	@ApiModelProperty(value = "状态;1：有效；0：无效；")
	private Integer state;
	/**
	 * 排序
	 */
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	 * 分类父id
	 */
	@ApiModelProperty(value = "分类父id")
	private Long parentId;
}
