package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商品详情实体类
 *
 * @author zzyd
 * @since 2023-06-25
 */
@Data
@TableName("t_goods_detail")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GoodsDetail对象", description = "商品详情")
public class GoodsDetail extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 商品ID
	*/
	@ApiModelProperty(value = "商品ID")
	private Long goodsId;
	/**
	* 商品详情富文本
	*/
	@ApiModelProperty(value = "商品详情富文本")
	private String content;


}
