/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;

/**
 * 商品图片(视频)实体类
 *
 * @author BladeX
 * @since 2022-05-08
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_goods_img")
@ApiModel(value = "GoodsImg对象", description = "商品图片(视频)")
public class GoodsImg extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 商品id
	 */
	@ApiModelProperty(value = "商品id")
	private Long goodsId;
	/**
	 * 资源地址
	 */
	@ApiModelProperty(value = "资源地址")
	private String url;
	/**
	 * 类型;1-轮播图 2-详情
	 */
	@ApiModelProperty(value = "类型;1-轮播图 2-详情")
	private Integer type;
	/**
	 * 文件类型;1-图片 2-视频
	 */
	@ApiModelProperty(value = "文件类型;1-图片 2-视频")
	private Integer fileType;
	/**
	 * 排序
	 */
	@ApiModelProperty(value = "排序")
	private Integer sort;
}
