/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;

/**
 * 商品参数表实体类
 *
 * @author BladeX
 * @since 2022-05-07
 */
@Data
@TableName("t_goods_params")
@ApiModel(value = "GoodsParams对象", description = "商品参数表")
public class GoodsParams extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 参数名
	 */
	@ApiModelProperty(value = "参数名")
	private String paramName;
	/**
	 * 参数值
	 */
	@ApiModelProperty(value = "参数值")
	private String paramValue;
	/**
	 * 商品id
	 */
	@ApiModelProperty(value = "商品id")
	private Long goodsId;
	/**
	 * 排序
	 */
	@ApiModelProperty(value = "排序")
	private Integer sort;
}
