package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商家列表实体类
 *
 * @author zzyd
 * @since 2023-06-01
 */
@Data
@TableName("t_store")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Store对象", description = "商家列表")
public class Store extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	* 会员名称
	*/
	@ApiModelProperty(value = "会员名称")
	private String userName;
	/**
	* 店铺名称
	*/
	@ApiModelProperty(value = "店铺名称")
	private String name;
	/**
	* 联系电话
	*/
	@ApiModelProperty(value = "联系电话")
	private String tel;

	@ApiModelProperty(value = "供应商地址")
	private String storeAddress;

	@ApiModelProperty(value = "供应商状态")
	private Integer state;

	@ApiModelProperty(value = "店铺审核状态：0.未审核、1.已审核、2.未通过")
	private Integer auditState;


}
