/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.tool.node.TreeNode;
import org.springblade.modules.mall.entity.CategoryInfo;
import org.springblade.modules.mall.vo.CategoryInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 类别表 Mapper 接口
 *
 * @author BladeX
 * @since 2022-05-07
 */
public interface CategoryInfoMapper extends BaseMapper<CategoryInfo> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param categoryInfo
	 * @return
	 */
	List<CategoryInfoVO> selectCategoryInfoPage(IPage page, CategoryInfoVO categoryInfo);

	/**
	 * 懒加载列表
	 *
	 * @param parentId
	 * @param param
	 * @return
	 */
	List<CategoryInfoVO> lazyList(Long parentId, Map<String, Object> param);

	/**
	 * 树形结构
	 *
	 * @return
	 */
	List<TreeNode> tree();
}
