/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.mall.entity.BrandsInfo;
import org.springblade.modules.mall.mapper.BrandsInfoMapper;
import org.springblade.modules.mall.service.IBrandsInfoService;
import org.springblade.modules.mall.vo.BrandsInfoVO;
import org.springframework.stereotype.Service;

/**
 * 品牌信息表 服务实现类
 *
 * @author BladeX
 * @since 2022-05-08
 */
@Service
public class BrandsInfoServiceImpl extends ServiceImpl<BrandsInfoMapper, BrandsInfo> implements IBrandsInfoService {

	@Override
	public IPage<BrandsInfoVO> selectBrandsInfoPage(IPage<BrandsInfoVO> page, BrandsInfoVO brandsInfo) {
		return page.setRecords(baseMapper.selectBrandsInfoPage(page, brandsInfo));
	}

	@Override
	public BrandsInfo getByName(String name) {
		return this.getOne(Wrappers.lambdaQuery(BrandsInfo.class).eq(BrandsInfo::getBrandName, name));
	}


}
