/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.mall.entity.GoodsImg;
import org.springblade.modules.mall.mapper.GoodsImgMapper;
import org.springblade.modules.mall.service.IGoodsImgService;
import org.springblade.modules.mall.vo.GoodsImgVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 商品图片(视频) 服务实现类
 *
 * @author BladeX
 * @since 2022-05-08
 */
@Service
public class GoodsImgServiceImpl extends ServiceImpl<GoodsImgMapper, GoodsImg> implements IGoodsImgService {

	@Override
	public IPage<GoodsImgVO> selectGoodsImgPage(IPage<GoodsImgVO> page, GoodsImgVO goodsImg) {
		return page.setRecords(baseMapper.selectGoodsImgPage(page, goodsImg));
	}

	@Override
	public void deleteByGoodsIds(List<Long> goodsIds) {
		baseMapper.delete(Wrappers.lambdaQuery(GoodsImg.class).in(GoodsImg::getGoodsId, goodsIds));
	}

}
