/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.enums.AuditStatusEnum;
import org.springblade.modules.mall.entity.GoodsInfo;

import java.math.BigDecimal;

/**
 * 商品表视图实体类
 *
 * @author BladeX
 * @since 2022-05-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GoodsInfoVO对象", description = "商品表")
public class GoodsInfoVO extends GoodsInfo {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "运费")
	private Double wlPrice;

	private String brandDesc;

	private String auditStatusDesc;

	private String supplierName;

	private int num = 0;

	private BigDecimal grouponPrice;

	@ApiModelProperty(value = "货道id")
	private Long cargoWayId;
	@ApiModelProperty(value = "货道编号")
	private String cargoWayNo;

	public String getAuditStatusDesc() {
		return AuditStatusEnum.getNameByValue(this.getAuditStatus());
	}
}
