/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mall.entity.BrandsInfo;
import org.springblade.modules.mall.vo.BrandsInfoVO;

import java.util.Objects;

/**
 * 品牌信息表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2022-05-08
 */
public class BrandsInfoWrapper extends BaseEntityWrapper<BrandsInfo, BrandsInfoVO>  {

	public static BrandsInfoWrapper build() {
		return new BrandsInfoWrapper();
 	}

	@Override
	public BrandsInfoVO entityVO(BrandsInfo brandsInfo) {
		BrandsInfoVO brandsInfoVO = Objects.requireNonNull(BeanUtil.copy(brandsInfo, BrandsInfoVO.class));

		//User createUser = UserCache.getUser(brandsInfo.getCreateUser());
		//User updateUser = UserCache.getUser(brandsInfo.getUpdateUser());
		//brandsInfoVO.setCreateUserName(createUser.getName());
		//brandsInfoVO.setUpdateUserName(updateUser.getName());

		return brandsInfoVO;
	}

}
