/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mall.entity.GoodsDetail;
import org.springblade.modules.mall.vo.GoodsDetailVO;
import java.util.Objects;

/**
 * 商品详情包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-25
 */
public class GoodsDetailWrapper extends BaseEntityWrapper<GoodsDetail, GoodsDetailVO>  {

	public static GoodsDetailWrapper build() {
		return new GoodsDetailWrapper();
 	}

	@Override
	public GoodsDetailVO entityVO(GoodsDetail goodsDetail) {
		GoodsDetailVO goodsDetailVO = Objects.requireNonNull(BeanUtil.copy(goodsDetail, GoodsDetailVO.class));

		//User createUser = UserCache.getUser(goodsDetail.getCreateUser());
		//User updateUser = UserCache.getUser(goodsDetail.getUpdateUser());
		//goodsDetailVO.setCreateUserName(createUser.getName());
		//goodsDetailVO.setUpdateUserName(updateUser.getName());

		return goodsDetailVO;
	}

}
