/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.wrapper;

import cn.hutool.core.util.StrUtil;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mall.entity.GoodsInfo;
import org.springblade.modules.mall.vo.GoodsInfoVO;

import java.util.Objects;

/**
 * 商品表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2022-05-07
 */
public class GoodsInfoWrapper extends BaseEntityWrapper<GoodsInfo, GoodsInfoVO>  {

	public static GoodsInfoWrapper build() {
		return new GoodsInfoWrapper();
 	}

	@Override
	public GoodsInfoVO entityVO(GoodsInfo goodsInfo) {
		GoodsInfoVO goodsInfoVO = Objects.requireNonNull(BeanUtil.copy(goodsInfo, GoodsInfoVO.class));
		if (StrUtil.isNotBlank(goodsInfoVO.getGoodsCategoryId()) && goodsInfoVO.getGoodsCategoryId().lastIndexOf("-") == goodsInfoVO.getGoodsCategoryId().length() - 1) {
			goodsInfoVO.setGoodsCategoryId(goodsInfoVO.getGoodsCategoryId().substring(0, goodsInfoVO.getGoodsCategoryId().length() - 1));
		}
		return goodsInfoVO;
	}

	public static void main(String[] args) {
		System.out.println("sdf-".substring(0, 3));
	}

}
