/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mall.entity.GoodsParams;
import org.springblade.modules.mall.vo.GoodsParamsVO;

import java.util.Objects;

/**
 * 商品参数表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2022-05-07
 */
public class GoodsParamsWrapper extends BaseEntityWrapper<GoodsParams, GoodsParamsVO>  {

	public static GoodsParamsWrapper build() {
		return new GoodsParamsWrapper();
 	}

	@Override
	public GoodsParamsVO entityVO(GoodsParams goodsParams) {
		GoodsParamsVO goodsParamsVO = Objects.requireNonNull(BeanUtil.copy(goodsParams, GoodsParamsVO.class));

		//User createUser = UserCache.getUser(goodsParams.getCreateUser());
		//User updateUser = UserCache.getUser(goodsParams.getUpdateUser());
		//goodsParamsVO.setCreateUserName(createUser.getName());
		//goodsParamsVO.setUpdateUserName(updateUser.getName());

		return goodsParamsVO;
	}

}
