package org.springblade.modules.platform.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 个人消息列表实体类
 *
 * @author zzyd
 * @since 2023-06-11
 */
@Data
@TableName("t_message")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Message对象", description = "个人消息列表")
public class Message extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 接收人id
	*/
	@ApiModelProperty(value = "接收人id")
	private Long userId;
	/**
	* 用户名称
	*/
	@ApiModelProperty(value = "用户名称")
	private String userName;
	/**
	* 消息标题
	*/
	@ApiModelProperty(value = "消息标题")
	private String mainTitle;
	/**
	* 订单id
	*/
	@ApiModelProperty(value = "订单id")
	private String orderNo;
	/**
	* 备注信息
	*/
	@ApiModelProperty(value = "备注信息")
	private String remake;
	/**
	* 消息类型
	*/
	@ApiModelProperty(value = "消息类型")
	private Integer type;


}
