/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 用户实名认证表实体类
 *
 * @author BladeX
 * @since 2022-03-28
 */
@Data
@TableName("t_user_card_info")
@ApiModel(value = "UserCardInfo对象", description = "用户实名认证表")
public class UserCardInfo implements Serializable {

	private static final long serialVersionUID = 1L;

	@TableId(value = "id", type = IdType.AUTO)
	private Long id;
	/**
	 * 用户ID
	 */
	@ApiModelProperty(value = "用户ID")
	private Long userId;
	/**
	 * 是否实名认证,0，不是（默认），1：是
	 */
	@ApiModelProperty(value = "是否实名认证,0，不是（默认），1：是，2：已实名认证")
	private Integer isAuth;
	/**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号")
	private String idCard;
	/**
	 * 真实姓名
	 */
	@ApiModelProperty(value = "真实姓名")
	private String trueName;
	/**
	 * 正面
	 */
	@ApiModelProperty(value = "正面")
	private String positiveUrl;
	/**
	 * 反面
	 */
	@ApiModelProperty(value = "反面")
	private String negativeUrl;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;


}
