/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户表实体类
 *
 * @author BladeX
 * @since 2022-03-28
 */
@Data
@TableName("t_user_license")
@ApiModel(value = "UserLicense对象", description = "用户表")
public class UserLicense implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;
	/**
	* 用户id
	*/
		@ApiModelProperty(value = "用户id")
		private Long userId;
	/**
	* 营业执照名称
	*/
		@ApiModelProperty(value = "营业执照名称")
		private String authName;
	/**
	* 认证类型
	*/
		@ApiModelProperty(value = "认证类型")
		private Boolean authType;
	/**
	* 路径1
	*/
		@ApiModelProperty(value = "路径1")
		private String path1;
	/**
	* 路径2
	*/
		@ApiModelProperty(value = "路径2")
		private String path2;
	/**
	* 路径3
	*/
		@ApiModelProperty(value = "路径3")
		private String path3;


}
