/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.modules.platform.entity.Ads;
import org.springblade.modules.platform.vo.AdsVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 广告表 Mapper 接口
 *
 * @author BladeX
 * @since 2022-02-13
 */
public interface AdsMapper extends BaseMapper<Ads> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param ads
	 * @return
	 */
	List<AdsVO> selectAdsPage(IPage page, AdsVO ads);

	/**
	 * 获取广告列表数据
	 *
	 * @param type 类型
	 * @param limit 条数
	 * @return List
	 */
	List<Ads> selectAdsList(@Param("type") Integer type,@Param("limit")  Integer limit);
}
