/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.modules.platform.entity.UserRecom;
import org.springblade.modules.platform.vo.UserConsignVO;
import org.springblade.modules.platform.vo.UserRecomVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 用户推荐记录表 Mapper 接口
 *
 * @author BladeX
 * @since 2022-02-19
 */
public interface UserRecomMapper extends BaseMapper<UserRecom> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param userRecom
	 * @return
	 */
	List<UserRecomVO> selectUserRecomPage(IPage page, UserRecomVO userRecom);

	/**
	 * 查询
	 * @param page
	 * @param parentId
	 * @param parentPath
	 * @return
	 */
	List<UserRecomVO> selectUserRecomVoPage(IPage page, @Param("parentId") Long parentId , @Param("parentPath") Long parentPath);

	List<UserConsignVO> selectUserConsignInfo(@Param("userId") Long userId, @Param("type") Integer type);

}
