/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.service;

import org.springblade.modules.platform.entity.Message;
import org.springblade.modules.platform.vo.MessageVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 个人消息列表 服务类
 *
 * @author BladeX
 * @since 2023-06-11
 */
public interface IMessageService extends IService<Message> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param message
	 * @return
	 */
	IPage<MessageVO> selectMessagePage(IPage<MessageVO> page, MessageVO message);

	/**
	 * 个人消息发送
	 * @param userId 用户id
	 * @param mainTitle 消息标题
	 * @param orderNo 订单编号
	 */
	void sendMessage(Long userId, String mainTitle, String orderNo);
}
