/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.service.impl;

import org.springblade.modules.platform.entity.Ads;
import org.springblade.modules.platform.vo.AdsVO;
import org.springblade.modules.platform.mapper.AdsMapper;
import org.springblade.modules.platform.service.IAdsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 广告表 服务实现类
 *
 * @author BladeX
 * @since 2022-02-13
 */
@Service
public class AdsServiceImpl extends ServiceImpl<AdsMapper, Ads> implements IAdsService {

	@Override
	public IPage<AdsVO> selectAdsPage(IPage<AdsVO> page, AdsVO ads) {
		return page.setRecords(baseMapper.selectAdsPage(page, ads));
	}

	@Override
	public List<Ads> selectAdsList(Integer type, Integer limit) {
		return baseMapper.selectAdsList(type,limit);
	}

}
