/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.service.impl;

import org.springblade.modules.platform.entity.Freight;
import org.springblade.modules.platform.vo.FreightVO;
import org.springblade.modules.platform.mapper.FreightMapper;
import org.springblade.modules.platform.service.IFreightService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 运费表 服务实现类
 *
 * @author BladeX
 * @since 2022-03-13
 */
@Service
public class FreightServiceImpl extends ServiceImpl<FreightMapper, Freight> implements IFreightService {

	@Override
	public IPage<FreightVO> selectFreightPage(IPage<FreightVO> page, FreightVO freight) {
		return page.setRecords(baseMapper.selectFreightPage(page, freight));
	}

}
