/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.service.impl;

import org.springblade.modules.platform.entity.Message;
import org.springblade.modules.platform.vo.MessageVO;
import org.springblade.modules.platform.mapper.MessageMapper;
import org.springblade.modules.platform.service.IMessageService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 个人消息列表 服务实现类
 *
 * @author BladeX
 * @since 2023-06-11
 */
@Service
public class MessageServiceImpl extends ServiceImpl<MessageMapper, Message> implements IMessageService {

	@Override
	public IPage<MessageVO> selectMessagePage(IPage<MessageVO> page, MessageVO message) {
		return page.setRecords(baseMapper.selectMessagePage(page, message));
	}

	@Async
	@Override
	public void sendMessage(Long userId, String mainTitle, String orderNo) {
		Message message = new Message();
		message.setMainTitle(mainTitle);
		message.setType(0);
		message.setOrderNo(orderNo);
		message.setUserId(userId);
//		message.setUserName(userName);
		baseMapper.insert(message);
	}

}
