/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.service.impl;

import org.springblade.modules.platform.entity.UserFeedbacks;
import org.springblade.modules.platform.vo.UserFeedbacksVO;
import org.springblade.modules.platform.mapper.UserFeedbacksMapper;
import org.springblade.modules.platform.service.IUserFeedbacksService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 用户反馈表 服务实现类
 *
 * @author BladeX
 * @since 2022-02-13
 */
@Service
public class UserFeedbacksServiceImpl extends ServiceImpl<UserFeedbacksMapper, UserFeedbacks> implements IUserFeedbacksService {

	@Override
	public IPage<UserFeedbacksVO> selectUserFeedbacksPage(IPage<UserFeedbacksVO> page, UserFeedbacksVO userFeedbacks) {
		return page.setRecords(baseMapper.selectUserFeedbacksPage(page, userFeedbacks));
	}

}
