/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.platform.entity.Payments;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

/**
 * 支付方式表视图实体类
 *
 * @author BladeX
 * @since 2022-02-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PaymentsVO对象", description = "支付方式表")
public class PaymentsVO extends Payments {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "是否启用")
	private String isEnabledDisplayName;
	/**
	 * 是否在线支付
	 */
	@ApiModelProperty(value = "是否在线支付")
	private String isOnlineDisplayName;
	/**
	 * 支付端标识，1：PC端 2:手机端 3：微信端 4:APP端
	 */
	@ApiModelProperty(value = "支付端标识")
	private String payForDisplayName;

}
