/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.platform.entity.UserRecom;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

import java.util.List;

/**
 * 用户推荐记录表视图实体类
 *
 * @author BladeX
 * @since 2022-02-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "UserRecomVO对象", description = "用户推荐记录表")
public class UserRecomVO extends UserRecom {

	private static final long serialVersionUID = 1L;

	@JsonIgnore
	private Long id;

	@ApiModelProperty(value = "头像")
	private String avatar;

	@ApiModelProperty(value = "昵称")
	private String name;

	@ApiModelProperty(value = "推荐人邀请码")
	private String code;

	@ApiModelProperty(value = "账号状态")
	private String state;

	@ApiModelProperty(value = "手机号")
	private String phone;

	@ApiModelProperty(value = "昨日抢购场次信息")
	private List<UserConsignVO> yesterdayConsignInfo;

}
