/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.platform.entity.Article;
import org.springblade.modules.platform.vo.ArticleVO;
import java.util.Objects;

/**
 * 文章包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-04
 */
public class ArticleWrapper extends BaseEntityWrapper<Article, ArticleVO>  {

	public static ArticleWrapper build() {
		return new ArticleWrapper();
 	}

	@Override
	public ArticleVO entityVO(Article article) {
		ArticleVO articleVO = Objects.requireNonNull(BeanUtil.copy(article, ArticleVO.class));

		//User createUser = UserCache.getUser(article.getCreateUser());
		//User updateUser = UserCache.getUser(article.getUpdateUser());
		//articleVO.setCreateUserName(createUser.getName());
		//articleVO.setUpdateUserName(updateUser.getName());

		return articleVO;
	}

}
