/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.platform.entity.Message;
import org.springblade.modules.platform.vo.MessageVO;
import java.util.Objects;

/**
 * 个人消息列表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-11
 */
public class MessageWrapper extends BaseEntityWrapper<Message, MessageVO>  {

	public static MessageWrapper build() {
		return new MessageWrapper();
 	}

	@Override
	public MessageVO entityVO(Message message) {
		MessageVO messageVO = Objects.requireNonNull(BeanUtil.copy(message, MessageVO.class));

		//User createUser = UserCache.getUser(message.getCreateUser());
		//User updateUser = UserCache.getUser(message.getUpdateUser());
		//messageVO.setCreateUserName(createUser.getName());
		//messageVO.setUpdateUserName(updateUser.getName());

		return messageVO;
	}

}
