package org.springblade.modules.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

/**
 * 定时任务调度表实体类
 *
 * @author zzyd
 * @since 2023-02-17
 */
@Data
@TableName("blade_job")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Job对象", description = "定时任务调度表")
public class Job extends BaseEntity<Job> {

	private static final long serialVersionUID = 1L;

	/**
	* 任务名称
	*/
	@ApiModelProperty(value = "任务名称")
	private String jobName;
	/**
	* 任务组名
	*/
	@ApiModelProperty(value = "任务组名")
	private String jobGroup;
	/**
	* 调用目标字符串
	*/
	@ApiModelProperty(value = "调用目标字符串")
	private String invokeTarget;
	/**
	* cron执行表达式
	*/
	@ApiModelProperty(value = "cron执行表达式")
	private String cronExpression;
	/**
	* 计划执行错误策略（1立即执行 2执行一次 3放弃执行）
	*/
	@ApiModelProperty(value = "计划执行错误策略（1立即执行 2执行一次 3放弃执行）")
	private String misfirePolicy;
	/**
	* 是否并发执行（0允许 1禁止）
	*/
	@ApiModelProperty(value = "是否并发执行（0允许 1禁止）")
	private String concurrent;
	/**
	* 状态（0正常 1暂停）
	*/
	@ApiModelProperty(value = "状态（0正常 1暂停）")
	private String status;
	/**
	* 备注信息
	*/
	@ApiModelProperty(value = "备注信息")
	private String remark;



}
