package org.springblade.modules.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

import java.util.Date;

/**
 * 定时任务调度日志表实体类
 *
 * @author zzyd
 * @since 2023-02-17
 */
@Data
@TableName("blade_job_log")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "JobLog对象", description = "定时任务调度日志表")
public class JobLog extends BaseEntity<JobLog> {

	private static final long serialVersionUID = 1L;

	/**
	 * 任务id
	 */
	@ApiModelProperty(value = "任务id")
	private Long jobId;

	/**
	* 任务名称
	*/
	@ApiModelProperty(value = "任务名称")
	private String jobName;
	/**
	* 任务组名
	*/
	@ApiModelProperty(value = "任务组名")
	private String jobGroup;
	/**
	* 调用目标字符串
	*/
	@ApiModelProperty(value = "调用目标字符串")
	private String invokeTarget;
	/**
	* 日志信息
	*/
	@ApiModelProperty(value = "日志信息")
	private String jobMessage;
	/**
	* 执行状态（0正常 1失败）
	*/
	@ApiModelProperty(value = "执行状态（0正常 1失败）")
	private String status;
	/**
	* 异常信息
	*/
	@ApiModelProperty(value = "异常信息")
	private String exceptionInfo;

	/** 开始时间 */
	private Date startTime;

	/** 停止时间 */
	private Date stopTime;

}
