/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.common.base.BaseEntity;

/**
 * 实体类
 *
 * @author BladeX
 * @since 2022-11-24
 */
@Data
@TableName("blade_mall_withdrawal_record")
@ApiModel(value = "MallWithdrawalRecord对象", description = "MallWithdrawalRecord对象")
public class MallWithdrawalRecord extends BaseEntity<NowMoneyRecord> {

	/**
	* 钱包id
	*/
		@ApiModelProperty(value = "钱包id")
		private Long userAppId;
	/**
	* 创建人姓名
	*/
		@ApiModelProperty(value = "创建人姓名")
		private String createUserName;
	/**
	* 提现金额
	*/
		@ApiModelProperty(value = "提现金额")
		private BigDecimal withdrawalAmount;
	/**
	* 手续费
	*/
		@ApiModelProperty(value = "手续费")
		private BigDecimal chargeAmount;
	/**
	* 状态。0：待审核，1：审核失败，2:审核通过，提现成功
	*/
		@ApiModelProperty(value = "状态。0：待审核，1：审核失败，2:审核通过，提现成功")
		private Integer status;
	/**
	* 审核人ID
	*/
		@ApiModelProperty(value = "审核人ID")
		private Long auditUserId;
	/**
	* 审核时间
	*/
		@ApiModelProperty(value = "审核时间")
		private Date auditTime;
	/**
	* 审核人意见
	*/
		@ApiModelProperty(value = "审核人意见")
		private String auditMsg;
	/**
	* 审核人姓名
	*/
		@ApiModelProperty(value = "审核人姓名")
		private String auditUserName;
	/**
	* 是否加速
	*/
		@ApiModelProperty(value = "是否加速")
		private Integer isAccelerate;


}
