/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;

/**
 * 实体类
 *
 * @author BladeX
 * @since 2022-07-18
 */
@Data
@TableName("blade_now_money_record")
@ApiModel(value = "NowMoneyRecord对象", description = "NowMoneyRecord对象")
public class NowMoneyRecord extends BaseEntity<NowMoneyRecord> {

	private static final long serialVersionUID = 1L;


	/**
	 * 操作前余额
	 */
	@ApiModelProperty(value = "操作前余额")
	private BigDecimal beforeMoney;
	/**
	 * 操作后余额
	 */
	@ApiModelProperty(value = "操作后余额")
	private BigDecimal afterMoney;
	/**
	 * 操作类型，1：收入，2：支出
	 */
	@ApiModelProperty(value = "操作类型，1：收入，2：支出")
	private Integer type;
	/**
	 * 增加或扣减金额
	 */
	@ApiModelProperty(value = "增加或扣减金额")
	private BigDecimal fluctuantAmount;
	/**
	 * 手续费金额
	 */
	@ApiModelProperty(value = "手续费金额")
	private BigDecimal chargeAmount;
	/**
	 * 税费金额
	 */
	@ApiModelProperty(value = "税费金额")
	private BigDecimal taxAmount;
	/**
	 * 来源
	 */
	@ApiModelProperty(value = "来源")
	private String source;
	/**
	 * 来源
	 */
	@ApiModelProperty(value = "来源code")
	private Integer sourceCode;
	/**
	 * 钱包id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;

	/**
	 * 钱包id
	 */
	@ApiModelProperty(value = "钱包id")
	private Long userAppId;
	/**
	 * 传入参数json
	 */
	@ApiModelProperty(value = "传入参数json")
	private String paramStr;
	/**
	 * 来源ID，（如订单id）
	 */
	@ApiModelProperty(value = "来源ID，（如订单id）")
	private Long dataId;


}
