package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;

@Data
@TableName("blade_pay_log")
@ApiModel(value = "打款日志", description = "打款日志")
public class PayLog extends BaseEntity<PayLog> {
	@ApiModelProperty(value = "类型,默认0 进货打款 1 特殊账号打款 2 红包提现")
	private Integer type=0;

	@ApiModelProperty(value = "提现金额")
	private BigDecimal amount;

	@ApiModelProperty(value = "实际金额")
	private BigDecimal realAmount;

	@ApiModelProperty(value = "之前的金额")
	private BigDecimal beforeAmount;

	@ApiModelProperty(value = "之后的金额")
	private BigDecimal afterAmount;

	@ApiModelProperty(value = "接收人Id")
	private Long receiverUserId;

	@ApiModelProperty(value = "接收人账户")
	private String receiverAccount;

	@ApiModelProperty(value = "接收人账户类型:0 支付宝 1 银行卡")
	private Integer receiverType;

	@ApiModelProperty(value = "备注")
	private String remarks;

	@ApiModelProperty(value = "是否成功 0 失败 1 成功")
	private Integer isSuccess;

	@ApiModelProperty(value = "失败原因")
	private String failureReason;
}
