/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.common.base.BaseEntity;

/**
 * 充值记录表实体类
 *
 * @author BladeX
 * @since 2022-08-22
 */
@Data
@TableName("blade_recharge_record")
@ApiModel(value = "RechargeRecord对象", description = "充值记录表")
public class RechargeRecord extends BaseEntity<RechargeRecord> {

	private static final long serialVersionUID = 1L;

	/**
	* id
	*/
		@ApiModelProperty(value = "id")
		private Long id;
	/**
	* 订单ID
	*/
		@ApiModelProperty(value = "订单ID")
		private String orderNo;
	/**
	* 付款方式
	*/
		@ApiModelProperty(value = "付款方式")
		private Integer paymentType;
	/**
	* 充值金额
	*/
		@ApiModelProperty(value = "充值金额")
		private BigDecimal paymentPrice;
	/**
	* 状态：0付款中，1已付款，2付款失败
	*/
		@ApiModelProperty(value = "状态：0付款中，1已付款，2付款失败")
		private Integer status;


}
