package org.springblade.modules.system.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;

/**
 * 红包变动记录
 */

@Data
@TableName("blade_red_money_record")
@ApiModel(value = "RedMoneyRecord对象", description = "RedMoneyRecord对象")
public class RedMoneyRecord extends BaseEntity<RedMoneyRecord> {


	private static final long serialVersionUID = 1L;


	/**
	 * 操作前余额
	 */
	@ApiModelProperty(value = "操作前余额")
	private BigDecimal beforeMoney;
	/**
	 * 操作后余额
	 */
	@ApiModelProperty(value = "操作后余额")
	private BigDecimal afterMoney;
	/**
	 * 操作类型，1：收入，2：支出
	 */
	@ApiModelProperty(value = "操作类型，1：收入，2：支出")
	private Integer type;
	/**
	 * 增加或扣减金额
	 */
	@ApiModelProperty(value = "增加或扣减金额")
	private BigDecimal fluctuantAmount;
	/**
	 * 手续费金额
	 */
	@ApiModelProperty(value = "手续费金额")
	private BigDecimal chargeAmount;
	/**
	 * 税费金额
	 */
	@ApiModelProperty(value = "税费金额")
	private BigDecimal taxAmount;
	/**
	 * 来源
	 */
	@ApiModelProperty(value = "来源")
	private String source;
	/**
	 * 来源
	 */
	@ApiModelProperty(value = "来源code")
	private Integer sourceCode;
	/**
	 * 钱包id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;

	/**
	 * 钱包id
	 */
	@ApiModelProperty(value = "钱包id")
	private Long userAppId;
	/**
	 * 传入参数json
	 */
	@ApiModelProperty(value = "传入参数json")
	private String paramStr;
	/**
	 * 来源ID，（如订单id）
	 */
	@ApiModelProperty(value = "来源ID，（如订单id）")
	private Long dataId;


}
