package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 商家用户表实体类
 *
 * @author zzyd
 * @since 2024-07-16
 */
@Data
@TableName("blade_user_merchant")
@ApiModel(value = "UserMerchant对象", description = "商家用户表")
public class UserMerchant implements Serializable {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "主键")
	protected Long id;
	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	 * 商户名称
	 */
	@ApiModelProperty(value = "商户名称")
	private String merchantName;
	/**
	* 身份证号
	*/
	@ApiModelProperty(value = "身份证号")
	private String idCard;
	/**
	* 营业执照
	*/
	@ApiModelProperty(value = "营业执照")
	private String businessLicence;
	/**
	 * 银行卡号
	 */
	@ApiModelProperty(value = "银行卡号")
	private String bankCardNumber;
	/**
	 * 开户行
	 */
	@ApiModelProperty(value = "开户行")
	private String openingBank;
	/**
	* 地址
	*/
	@ApiModelProperty(value = "地址")
	private String address;
	/**
	* 父id
	*/
	@ApiModelProperty(value = "父id")
	private Long parentId;
	/**
	* 授权菜单
	*/
	@ApiModelProperty(value = "授权菜单")
	private String authMenu;
	/**
	 * 授权菜单
	 */
	@ApiModelProperty(value = "授权门店")
	private String authShop;
	/**
	 * 授权门店描述
	 */
	@ApiModelProperty(value = "授权门店描述")
	private String authShopDesc;
	/**
	 * 审核状态 1-已审核 0-待审核
	 */
	@ApiModelProperty(value = "审核状态 1-审核通过 0-待审核 2-审核拒绝")
	private Integer auditStatus;
}
