/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.service.impl;

import org.springblade.modules.system.entity.RechargeRecord;
import org.springblade.modules.system.vo.RechargeRecordVO;
import org.springblade.modules.system.mapper.RechargeRecordMapper;
import org.springblade.modules.system.service.IRechargeRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 充值记录表 服务实现类
 *
 * @author BladeX
 * @since 2022-08-22
 */
@Service
public class RechargeRecordServiceImpl extends ServiceImpl<RechargeRecordMapper, RechargeRecord> implements IRechargeRecordService {

	@Override
	public IPage<RechargeRecordVO> selectRechargeRecordPage(IPage<RechargeRecordVO> page, RechargeRecordVO rechargeRecord) {
		return page.setRecords(baseMapper.selectRechargeRecordPage(page, rechargeRecord));
	}

}
