/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.vo;

import org.springblade.modules.system.entity.UserMerchant;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

/**
 * 商家用户表视图实体类
 *
 * @author BladeX
 * @since 2024-07-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "UserMerchantVO对象", description = "商家用户表")
public class UserMerchantVO extends UserMerchant {
	private static final long serialVersionUID = 1L;

	/**
	 * 昵称
	 */
	private String name;
	/**
	 * 姓名
	 */
	private String realName;
	/**
	 * 头像
	 */
	private String avatar;
	/**
	 * 手机
	 */
	private String phone;
	/**
	 * 子账号id
	 */
	private Long childAccountId;
	/**
	 * 授权门店描述
	 */
	private String authShopDesc;
}
